CCQENu Management - Bug #22653

Error bands broken (Bethe Block and Mass_Model_Proton)
05/29/2019 04:12 PM - Mateus Carneiro da silva

Status: Closed Start date: 05/29/2019
Priority: Normal Due date:

Assignee: Daniel Ruterbories % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

daughter package used to notice the bug: CCQENu1DME

location of ntuples used: /pnfs/minerva/persistent/users/drut1186/HopefullyFinalMateusTuples/

location of histograms that contain the bug:
/pnfs/minerva/persistent/users/mateusc/CCQENu_v21r1p1_Pub_May2019_NEWMuonEnergySys_NOSysFluxUniverses_CV/
version of CCQENuUtils.cxx: 1.60

Bethe Block and Mass_Model_Proton error bands have points with infinite values. This was noticed after the implementation of the
new number of universes for the Muon variables (2 vs the usual 100) and subsequent fixes in the lateral errors filling. The bug is
present in the histograms with full statistics but not in every playlist, me1L does not present any problem.

History

#1 - 05/30/2019 10:07 AM - Daniel Ruterbories

- Assignee set to Daniel Ruterbories

Okay looking this.

| think the issue is once an array element is set not passing the rest of the events are always 0. Because of how the code ran before the shifts could
be reset by the other functions. This is wrong or incredibly clever and not transparent. The recent changes make the behavior explicit, but missed this

last step. The solution is to change the if(!passRecaoil) call.

if(passRecoi) set shifts to 0
else set shifts to non-physical

So no matter what we get the values we want.

#2 - 05/31/2019 11:37 AM - Daniel Ruterbories

- Status changed from New to Resolved

Ran new histograms, merged, and extracted the cross section. Mateus made the systematics breakdown and the inf. systematics are gone. We
consider this fixed

#3 - 05/31/2019 11:37 AM - Daniel Ruterbories

- Status changed from Resolved to Closed
